SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000251: No Disk Access Graph when using Raid-1in EFW2.1.2 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000251Endian FirewallHardware related (kernel, drivers, hardware)public2007-08-27 15:172007-10-27 18:41
Reporterboergnet 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.2 
Target VersionFixed in Version2.2-beta1 
Summary0000251: No Disk Access Graph when using Raid-1in EFW2.1.2
DescriptionAfter new installation of community EFW2.1.2 with 2 ATA/IDE HD's in Raid1 configuration, no more disk access is shown in Graph.(see attached picture)
Additional Informationroot@:~ # cat /proc/mdstat
Personalities : [raid1]
md3 : active raid1 hdd3[1] hda3[0]
      3726464 blocks [2/2] [UU]

md4 : active raid1 hdd4[1] hda4[0]
      7452032 blocks [2/2] [UU]

md1 : active raid1 hdd1[1] hda1[0]
      10496 blocks [2/2] [UU]

unused devices: <none>
TagsNo tags attached.
Attached Filesjpg file icon Endian-Disk-Graph.jpg [^] (34,319 bytes) 2007-08-27 15:17

- Relationships

-  Notes
(0000499)
boergnet (reporter)
2007-09-09 03:31

Graph is working again when changing the folowing in /usr/local/bin/makegraphs.pl line 368

                if ($major eq 9 and $temp[2] eq
$minor) {
                        # this is the special case,
where we have a software raid device
                        # and therefore need to total
all values of each raid partition.
                        # thanks to Mike Tremaine for
pointing this out!

Thanks to h h-2 for finding the bug.
Maybe somebody from the Endian team could confirm this, set the status to resolved and include the changes in the next EFW version.
(0000500)
peter-endian (administrator)
2007-09-09 14:52

i added the fix to our subversion repository

thank you for the fix and testing!!

- Issue History
Date Modified Username Field Change
2007-08-27 15:17 boergnet New Issue
2007-08-27 15:17 boergnet File Added: Endian-Disk-Graph.jpg
2007-09-09 03:31 boergnet Note Added: 0000499
2007-09-09 14:52 peter-endian Status new => resolved
2007-09-09 14:52 peter-endian Resolution open => fixed
2007-09-09 14:52 peter-endian Assigned To => peter-endian
2007-09-09 14:52 peter-endian Note Added: 0000500
2007-10-27 18:41 peter-endian Status resolved => closed
2007-10-27 18:41 peter-endian Fixed in Version => 2.2

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker